package body MSHTML.IDOMWheelEvent_Object is

   function Get_deltaX
     (This : IDOMWheelEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IDOMWheelEvent_Get_deltaX);
   end Get_deltaX;

   function Get_deltaY
     (This : IDOMWheelEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IDOMWheelEvent_Get_deltaY);
   end Get_deltaY;

   function Get_deltaZ
     (This : IDOMWheelEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IDOMWheelEvent_Get_deltaZ);
   end Get_deltaZ;

   function Get_deltaMode
     (This : IDOMWheelEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IDOMWheelEvent_Get_deltaMode);
   end Get_deltaMode;

   procedure initWheelEvent
     (This             : IDOMWheelEvent_Type;
      eventType        : GNATCOM.Types.VARIANT;
      canBubble        : GNATCOM.Types.VARIANT;
      cancelable       : GNATCOM.Types.VARIANT;
      viewArg          : GNATCOM.Types.VARIANT;
      detailArg        : GNATCOM.Types.VARIANT;
      screenXArg       : GNATCOM.Types.VARIANT;
      screenYArg       : GNATCOM.Types.VARIANT;
      clientXArg       : GNATCOM.Types.VARIANT;
      clientYArg       : GNATCOM.Types.VARIANT;
      buttonArg        : GNATCOM.Types.VARIANT;
      relatedTargetArg : GNATCOM.Types.VARIANT;
      modifiersListArg : GNATCOM.Types.VARIANT;
      deltaX           : GNATCOM.Types.VARIANT;
      deltaY           : GNATCOM.Types.VARIANT;
      deltaZ           : GNATCOM.Types.VARIANT;
      deltaMode        : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
   is
   begin
      Invoke
        (This,
         IDOMWheelEvent_initWheelEvent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => deltaMode,
          2 => deltaZ,
          3 => deltaY,
          4 => deltaX,
          5 => modifiersListArg,
          6 => relatedTargetArg,
          7 => buttonArg,
          8 => clientYArg,
          9 => clientXArg,
          10 => screenYArg,
          11 => screenXArg,
          12 => detailArg,
          13 => viewArg,
          14 => cancelable,
          15 => canBubble,
          16 => eventType),
         Free);
   end initWheelEvent;

end MSHTML.IDOMWheelEvent_Object;

